package com.xjrsoft.module.holiday.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.holiday.dto.AddHolidayDateDto;
import com.xjrsoft.module.holiday.entity.HolidayDate;

import java.text.ParseException;
import java.util.List;

/**
* @title: 
* @Author fanxp
* @Date: 2024-03-26
* @Version 1.0
*/

public interface IHolidayDateService extends MPJBaseService<HolidayDate> {
    Boolean initHoliday(int year);

    Boolean delete(List<Long> ids);

    Boolean add(AddHolidayDateDto dto) throws ParseException;

    /**
     * 当前时间是否休息
     */
    Boolean currentIsRest();
}
